{% extends 'base.html.twig' %}

{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            {% if saved %}
                <div class="alert alert-dismissable alert-success">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    Configurazione salvata.
                </div>
            {% endif %}

            <ul id="mainMenu" class="nav nav-pills" role="tablist">
                <li class="nav-item">
                    <a href="#menu" role="tab" data-toggle="pill" class="nav-link active">Generale</a>
                </li>
                <li id="showAdLi" style="display:none" class="nav-item">
                    <a href="#ad" role="tab" data-toggle="pill" class="nav-link">Active directory</a>
                </li>
                <li id="showProviderLi" style="display:none" class="nav-item">
                    <a href="#provider" role="tab" data-toggle="pill" class="nav-link">Provider</a>
                </li>
                <li class="nav-item">
                    <a href="#wireless" role="tab" data-toggle="pill" class="nav-link">Wireless</a>
                </li>
                <li class="nav-item">
                    <a href="#radius" role="tab" data-toggle="pill" class="nav-link">RADIUS</a>
                </li>
                <li class="nav-item">
                    <a href="#appleSchool" role="tab" data-toggle="pill" class="nav-link">AppleSchool</a>
                </li>
            </ul>
            {{ form_start(form) }}
            {#<form action="{{ url('config_update') }}" method="post" autocomplete="off">#}
            <input id="fakeUser" type="text" autocomplete="off" style="display: none;"/><input id="fakePw"
                                                                                               type="password"
                                                                                               autocomplete="off"
                                                                                               style="display: none;"/>

            <div id="tabContent" class="tab-content" style="margin: 20px;">
                <div class="tab-pane fade show active" id="menu">
                    {{ form_row(form.onlyReception) }}
                    {{ form_row(form.disableGuest) }}
                    {{ form_row(form.disableMikrotikBypass) }}
                    {{ form_row(form.guestCanRegisterViaSms) }}
                    <div id="showSkebbyDiv" style="display:none;margin-bottom: 10px" class="bgc-grey-25">
                        {{ form_row(form.skebbyUsername) }}
                        {{ form_row(form.skebbyPassword) }}
                        <p>
                            Ricordarsi di mettere in bypass del hotspot i seguenti URL e di indicare nella scherma di
                            login del hotspot il link per la registrazione:
                        </p>
                        <ul>
                            <li>URL registrazione via SMS: <a
                                        href="{{ absolute_url(path('guest_register_via_sms')) }}">{{ absolute_url(path('guest_register_via_sms')) }}</a>
                            </li>
                            <li>URL password dimenticata via SMS: <a
                                        href="{{ absolute_url(path('guest_password_recover_via_sms')) }}">{{ absolute_url(path('guest_password_recover_via_sms')) }}</a>
                            </li>
                        </ul>
                    </div>

                    <div id="showAdDiv" style="display:none">
                        {{ form_row(form.userCanChangeOwnPassword) }}
                        {{ form_row(form.showBadge) }}

                        {{ form_row(form.teacherCanResetPassword) }}
                        {{ form_row(form.teacherCanSeeList) }}
                        {{ form_row(form.teacherCanEnablePersonalDevice) }}
                    </div>
                </div>
                <div class="tab-pane" id="ad">
                    <h3>Parametri di connessione con il server active directory</h3>

                    {{ form_row(form.active_directory_account_suffix) }}
                    {{ form_row(form.active_directory_base_dn) }}
                    {{ form_row(form.active_directory_domain_controller) }}
                    {{ form_row(form.active_directory_admin_username) }}
                    {{ form_row(form.active_directory_admin_password) }}
                    {{ form_row(form.active_directory_use_ssl) }}
                    {{ form_row(form.active_directory_sync_suffix) }}

                    <h3>Parametri di comportamento di igroove verso active directory</h3>

                    {{ form_row(form.active_directory_generated_group_prefix) }}
                    {{ form_row(form.active_directory_generated_teacher_group_prefix) }}
                    {{ form_row(form.active_directory_generated_provider_group_with_users) }}
                    {{ form_row(form.active_directory_generated_teacher_provider_group_with_users) }}
                    {{ form_row(form.active_directory_home_folder) }}
                    {{ form_row(form.active_directory_home_drive) }}
                    {{ form_row(form.active_directory_email_for_error) }}


                    <h3>Criteri per le password</h3>

                    {{ form_row(form.active_directory_password_min_char) }}
                    {{ form_row(form.active_directory_password_complexity) }}
                    {{ form_row(form.active_directory_username_style) }}
                    {{ form_row(form.email_length_limit) }}
                </div>

                <div class="tab-pane" id="provider">
                    {% if providers %}
                        <ul class="list-group">
                            {% for provider in providers %}
                                <li class="list-group-item">
                                    {#<span class="badge">{{ provider.uri }}</span>#}

                                    <i class="{{ provider.active  ? 'c-teal-500 ti-check' : 'c-deep-orange-500 ti-close' }}"></i>

                                    <a href="{{ path('config_provider_edit', { 'id': provider.id }) }}">

                                        {{ provider.name }}</a>
                                </li>

                            {% endfor %}
                        </ul>
                    {% endif %}
                    <a class="btn btn-success" href="{{ path('config_provider_new') }}">
                        Aggiungi un nuovo provider di dati
                    </a>
                </div>


                <div class="tab-pane" id="wireless">
                    {{ form_row(form.wireless_ssid) }}
                    {{ form_row(form.wireless_guest_network_type) }}
                    {{ form_row(form.wireless_guest_network_rules) }}


                </div>

                <div class="tab-pane" id="radius">
                    <div class="form-group">
                        {{ form_row(form.guest_realm) }}
                        <h3>CoA</h3>
                        {{ form_row(form.coa_endpoint) }}
                        {{ form_row(form.coa_pattern) }}
                        {{ form_row(form.coa_password) }}
                    </div>
                </div>

                <div class="tab-pane" id="appleSchool">
                    {% if appleSchools %}
                        <ul class="list-group">
                            {% for appleSchool in appleSchools %}
                                <li class="list-group-item">
                                    {#<span class="badge">{{ provider.uri }}</span>#}

                                    <i class="{{ appleSchool.active  ? 'c-teal-500 ti-check' : 'c-deep-orange-500 ti-close' }}"></i>

                                    <a href="{{ path('config_apple_school_edit', { 'id': appleSchool.id }) }}">

                                        {{ appleSchool.organizationName }}</a>
                                </li>

                            {% endfor %}
                        </ul>
                    {% endif %}
                    <a class="btn btn-success" href="{{ path('config_apple_school_create') }}">
                        Aggiungi
                    </a>
                </div>
            </div>


            <hr>
            {{ form_rest(form) }}
            {{ form_end(form) }}

        </div>
    </main>
{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        $(document).ready(function() {
            function checkAdVisibility() {
                if ($("#configuration_onlyReception").prop('checked')) {
                    $("#showAdDiv").hide();
                    $("#showAdLi").hide();
                    $("#showProviderLi").hide();
                } else {
                    $("#showAdDiv").show();
                    $("#showAdLi").show();
                    $("#showProviderLi").show();
                }
                if ($("#configuration_guestCanRegisterViaSms").prop('checked')) {
                    $("#showSkebbyDiv").show();
                } else {
                    $("#showSkebbyDiv").hide();
                }
            }

            $("#configuration_onlyReception").change(function () {
                checkAdVisibility();
            });
            $("#configuration_showStats").change(function () {
                checkAdVisibility();
            });
            $("#configuration_guestCanRegisterViaSms").change(function () {
                checkAdVisibility();
            });
            checkAdVisibility();

            $.fn.historyTabs = function() {
                var that = this;
                window.addEventListener('popstate', function(event) {
                    if (event.state) {
                        $(that).filter('[href="' + event.state.url + '"]').tab('show');
                    }
                });
                return this.each(function(index, element) {
                    $(element).on('show.bs.tab', function() {
                        var stateObject = {'url' : $(this).attr('href')};

                        if (window.location.hash && stateObject.url !== window.location.hash) {
                            window.history.pushState(stateObject, document.title, window.location.pathname + $(this).attr('href'));
                        } else {
                            window.history.replaceState(stateObject, document.title, window.location.pathname + $(this).attr('href'));
                        }
                    });
                    if (!window.location.hash && $(element).is('.active')) {
                        // Shows the first element if there are no query parameters.
                        $(element).tab('show');
                    } else if ($(this).attr('href') === window.location.hash) {
                        $(element).tab('show');
                    }
                });
            };
            $('a[data-toggle="pill"]').historyTabs();
        })
    </script>
{% endblock %}
